Bug Hunting Session
Bug 82073 - FILEOPEN: RTF - Cell background color not retained
Summary: FILEOPEN: RTF - Cell background color not retained
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords: filter:rtf
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2014-08-03 00:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-31 06:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Word 2013 VS LibO 4.3.1 (286.86 KB, image/png)
2014-08-03 00:28 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-03 00:28:28 UTC
Created attachment 103884 [details]
Word 2013 VS LibO 4.3.1

Steps:
1) Open attachment 103815 [details] in Word 2013 and convert to RTF, else open < https://drive.google.com/file/d/0B6qJrVIa0SAlbHNZaDRsYlVpQkU/edit?usp=sharing >
2) Scroll down to page 15
3) The first row of the table on the page is supposed to have a black background

Tested in 4.3.1 and 4.2.5.
Comment 1 Jorendc 2014-08-03 14:48:01 UTC
Repro, windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: 6528607d34c9a2098ff5eec051fc9299ec37dfd7
TinderBox: Win-x86@39, Branch:master, Time: 2014-08-03_07:56:26
Comment 2 Jorendc 2014-08-03 14:51:13 UTC
Mmh, when I try to isolate the table from the test document using Word 2013, problem is not reproducible. So sadly I can't reduce it.

kind regards,
Joren
Comment 3 Xisco Faulí 2015-08-19 15:57:20 UTC
Problem still present in

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 4 Robinson Tryon (qubit) 2015-12-10 01:08:26 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2016-05-18 15:11:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c105b0014b59349bd110b249e1865d9e6abbb94&h=libreoffice-5-1

tdf#82073 RTF import: handle \clcbpatraw

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Yousuf Philips (jay) (retired) 2016-05-19 07:32:26 UTC
Version: 5.2.0.0.alpha1+
Build ID: 389d8db4d90d427f886d06c3f7304ad973f0d39c
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-05-19_00:21:03
Locale: en-US (en_US.UTF-8)